sh_calls.d(1m)

NAME
sh_calls.d - count Bourne calls (func/builtin/cmd/subsh) using DTrace.

SYNOPSIS
sh_calls.d

DESCRIPTION
This traces shell activity from all Bourne shells on the system that are running with sh provider support. Filename and function names are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Shell provider, which may change as additional features are introduced. Check Shell/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # sh_calls.d

FIELDS

FILE
    Filename of the shell or shellscript

TYPE
    Type of call (func/builtin/cmd/subsh)

NAME
    Name of call

COUNT
    Number of calls during sample

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
sh_calls.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)